%define phpversion 4.0.6
%define phprelease 1.2mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel

Summary:	IMAP module for PHP4
Name:		php-ldap
Version:	%{phpversion}
Release:	2.3mdk
Group:		System/Servers
License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl
Requires:	openldap >= 2.0.6
BuildRequires:  php-devel = %{phpversion}
BuildRequires:	openldap-devel >= 2.0.6
Obsoletes:	mod_php-ldap

%description
The php-ldap package is a dynamic shared object (DSO) that adds Lightweight
Directory Access Protocol (LDAP) support to PHP4. LDAP is a set of protocols
for accessing directory services over the Internet. PHP4 is an HTML-embedded
scripting language. If you need LDAP support for PHP4 applications, you will
need to install this package in addition to the php package.

%build
[ -e ./ldap ] && rm -fr ./ldap
cp -dpR %{phpsource}/extensions/ldap .
cd ldap

%{phpsource}/buildext ldap ldap.c "-lldap -llber" "-DCOMPILE_DL_LDAP"  

%install
cd ldap
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

install -m 755 -s ldap.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-ldap package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=ldap' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./ldap ] && rm -fr ./ldap

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*ldap.so|extension = ldap.so|' %{_sysconfdir}/php.ini
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*ldap.so|;extension = ldap.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*ldap.so|extension = ldap.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*ldap.so|;extension = ldap.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files 
%defattr(-,root,root)
%{phpdir}/extensions/ldap.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%changelog
* Mon Feb 11 2002 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2.3mdk
- rebuild against openldap 2.0.21

* Sat Aug  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2.2mdk
- update for 8.0

* Fri Jul 13 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2mdk
- rebuild against libdb3.2

* Wed Jul  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6
- s/Copyright/License/

* Thu Apr 12 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- fix requires

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-5mdk
- fix post scripts for good 

* Mon Apr  2 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-4mdk
- Split ldap package from php package so that when a new ldap 
  package comes out, we don't have to recompile php, only this module
